function [pop] = eval_mod(pop, anl, varargin)

% Saves the modified values of x as the solutions are evaluated

global state
global modified_x;

surr = [];
if nargin == 3
	surr = varargin{1};
end

% Evaluate population
for i = 1:pop.size
	state.ind_id = i;
	
	% use surrogate prediction
	[f, g, valid] = eval_surr(pop, i, surr);
	
	% Evaluate if prediction is not valid and not true-evaluated before
	if ~valid
		if ~isempty(anl)
			[pop, f, g, calc_flag] = eval_true(pop, i, anl);
		else
			error('No analysis function specified');
		end
	end

	% Fitness assignment
	if valid || calc_flag
		pop = assign_fitness(pop, i, f, g);
    end
        new_x = load('mod_x.dat');
        modified_x = [modified_x; new_x];
end
return
