% Parameter estimation for FM sound waves
function [f,g,x] = tp1(x)
if nargin == 0
	prob.nx = 6;
	prob.nf = 1;
	prob.ng = 1;
	prob.range = cell(1, prob.nx);
	prob.range{1} = Range('range', [-6.4,6.35]);
        prob.range{2} = Range('range', [-6.4,6.35]);
        prob.range{3} = Range('range', [-6.4,6.35]);
        prob.range{4} = Range('range', [-6.4,6.35]);
        prob.range{5} = Range('range', [-6.4,6.35]);
        prob.range{6} = Range('range', [-6.4,6.35]);
	f = prob;
else
	[f,g] = tp1_true(x);
end
return


function [f,g] = tp1_true(x)
    
    theta=2*pi/100;
    a1=x(1);
    w1=x(2);
    a2=x(3);
    w2=x(4);
    a3=x(5);
    w3=x(6);
    
    sum=0.0;
    for t=0:100
        yt=a1*sin(w1*t*theta + a2*sin(w2*t*theta + a3*sin(w3*t*theta)));
        y0t=1.0*sin(5.0*t*theta-1.5*sin(4.8*t*theta + 2.0*sin(4.9*t* ...
                                                          theta)));
        
        sum=sum+(yt-y0t)^2;
    end
    
    f(1)=sum;
    g=[1];  
    
    
return
